Ant API: Class NetRexxC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class NetRexxC

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.NetRexxC

public class NetRexxC
extends MatchingTask

Task to compile NetRexx source files. This task can take the following arguments:

- binary
- classpath
- comments
- compile
- console
- crossref
- decimal
- destdir
- diag
- explicit
- format
- keep
- logo
- replace
- savelog
- srcdir
- sourcedir
- strictargs
- strictassign
- strictcase
- strictimport
- symbols
- time
- trace
- utf8
- verbose

Of these arguments, the srcdir argument is required.

When this task executes, it will recursively scan the srcdir looking for NetRexx source files to compile. This task makes its compile decision based on timestamp.

Before files are compiled they and any other file in the srcdir will be copied to the destdir allowing support files to be located properly in the classpath. The reason for copying the source files before the compile is that NetRexxC has only two destinations for classfiles:

1. The current directory, and,
2. The directory the source is in (see sourcedir option)

Author:
  dIon Gillard dion@multitask.com.au

Inner classes inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`MatchingTask.NameEntry`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`excludeList, includeList, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`NetRexxC()`

Method Summary
`void` | `execute()` Executes the task, i.e.
`void` | `setBinary(java.lang.String binary)` Set whether literals are treated as binary, rather than NetRexx types
`void` | `setClasspath(java.lang.String classpath)` Set the classpath used for NetRexx compilation
`void` | `setComments(java.lang.String comments)` Set whether comments are passed through to the generated java source.
`void` | `setCompact(java.lang.String compact)` Set whether error messages come out in compact or verbose format.
`void` | `setCompile(java.lang.String compile)` Set whether the NetRexx compiler should compile the generated java code Valid true values are "on" or "true".
`void` | `setConsole(java.lang.String console)` Set whether or not messages should be displayed on the 'console' Valid true values are "on" or "true".
`void` | `setCrossref(java.lang.String crossref)` Whether variable cross references are generated
`void` | `setDecimal(java.lang.String decimal)` Set whether decimal arithmetic should be used for the netrexx code.
`void` | `setDestDir(java.lang.String destDirName)` Set the destination directory into which the NetRexx source files should be copied and then compiled.
`void` | `setDiag(java.lang.String diag)` Whether diagnostic information about the compile is generated
`void` | `setExplicit(java.lang.String explicit)` Sets whether variables must be declared explicitly before use.
`void` | `setFormat(java.lang.String format)` Whether the generated java code is formatted nicely or left to match NetRexx line numbers for call stack debugging
`void` | `setJava(java.lang.String java)` Whether the generated java code is produced Valid true values are "on" or "true".
`void` | `setKeep(java.lang.String keep)` Sets whether the generated java source file should be kept after compilation.
`void` | `setLogo(java.lang.String logo)` Whether the compiler text logo is displayed when compiling
`void` | `setReplace(java.lang.String replace)` Whether the generated .java file should be replaced when compiling Valid true values are "on" or "true".
`void` | `setSavelog(java.lang.String savelog)` Sets whether the compiler messages will be written to NetRexxC.log as well as to the console Valid true values are "on" or "true".
`void` | `setSourcedir(java.lang.String sourcedir)` Tells the NetRexx compiler to store the class files in the same directory as the source files.
`void` | `setSrcDir(java.lang.String srcDirName)` Set the source dir to find the source Java files.
`void` | `setStrictargs(java.lang.String strictargs)` Tells the NetRexx compiler that method calls always need parentheses, even if no arguments are needed, e.g.
`void` | `setStrictassign(java.lang.String strictassign)` Tells the NetRexx compile that assignments must match exactly on type
`void` | `setStrictcase(java.lang.String strictcase)` Specifies whether the NetRexx compiler should be case sensitive or not
`void` | `setStrictimport(java.lang.String strictimport)` Sets whether classes need to be imported explicitly using an `import` statement.
`void` | `setStrictprops(java.lang.String strictprops)` Sets whether local properties need to be qualified explicitly using `this` Valid true values are "on" or "true".
`void` | `setStrictsignal(java.lang.String strictsignal)` Whether the compiler should force catching of exceptions by explicitly named types
`void` | `setSymbols(java.lang.String symbols)` Sets whether debug symbols should be generated into the class file Valid true values are "on" or "true".
`void` | `setTime(java.lang.String time)` Asks the NetRexx compiler to print compilation times to the console Valid true values are "on" or "true".
`void` | `setTrace(java.lang.String trace)` Turns on or off tracing and directs the resultant trace output Valid values are: "trace", "trace1", "trace2" and "notrace".
`void` | `setUtf8(java.lang.String utf8)` Tells the NetRexx compiler that the source is in UTF8 Valid true values are "on" or "true".
`void` | `setVerbose(java.lang.String verbose)` Whether lots of warnings and error messages should be generated

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, getDirectoryScanner, getProperty, setDefaultexcludes, setExcludes, setIgnore, setIncludes, setItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetRexxC

    public NetRexxC()

Method Detail

### setBinary

    public void setBinary(java.lang.String binary)

  Set whether literals are treated as binary, rather than NetRexx types

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Set the classpath used for NetRexx compilation

### setComments

    public void setComments(java.lang.String comments)

  Set whether comments are passed through to the generated java source. Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false

### setCompact

    public void setCompact(java.lang.String compact)

  Set whether error messages come out in compact or verbose format. Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false

### setCompile

    public void setCompile(java.lang.String compile)

  Set whether the NetRexx compiler should compile the generated java code Valid true values are "on" or "true". Anything else sets the flag to false. The default value is true. Setting this flag to false, will automatically set the keep flag to true.

### setConsole

    public void setConsole(java.lang.String console)

  Set whether or not messages should be displayed on the 'console' Valid true values are "on" or "true". Anything else sets the flag to false. The default value is true.

### setCrossref

    public void setCrossref(java.lang.String crossref)

  Whether variable cross references are generated

### setDecimal

    public void setDecimal(java.lang.String decimal)

  Set whether decimal arithmetic should be used for the netrexx code. Binary arithmetic is used when this flag is turned off. Valid true values are "on" or "true". Anything else sets the flag to false. The default value is true.

### setDestDir

    public void setDestDir(java.lang.String destDirName)

  Set the destination directory into which the NetRexx source files should be copied and then compiled.

### setDiag

    public void setDiag(java.lang.String diag)

  Whether diagnostic information about the compile is generated

### setExplicit

    public void setExplicit(java.lang.String explicit)

  Sets whether variables must be declared explicitly before use. Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setFormat

    public void setFormat(java.lang.String format)

  Whether the generated java code is formatted nicely or left to match NetRexx line numbers for call stack debugging

### setJava

    public void setJava(java.lang.String java)

  Whether the generated java code is produced Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setKeep

    public void setKeep(java.lang.String keep)

  Sets whether the generated java source file should be kept after compilation. The generated files will have an extension of .java.keep, not .java Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setLogo

    public void setLogo(java.lang.String logo)

  Whether the compiler text logo is displayed when compiling

### setReplace

    public void setReplace(java.lang.String replace)

  Whether the generated .java file should be replaced when compiling Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setSavelog

    public void setSavelog(java.lang.String savelog)

  Sets whether the compiler messages will be written to NetRexxC.log as well as to the console Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setSourcedir

    public void setSourcedir(java.lang.String sourcedir)

  Tells the NetRexx compiler to store the class files in the same directory as the source files. The alternative is the working directory Valid true values are "on" or "true". Anything else sets the flag to false. The default value is true.

### setSrcDir

    public void setSrcDir(java.lang.String srcDirName)

  Set the source dir to find the source Java files.

### setStrictargs

    public void setStrictargs(java.lang.String strictargs)

  Tells the NetRexx compiler that method calls always need parentheses, even if no arguments are needed, e.g. `aStringVar.getBytes` vs. `aStringVar.getBytes()` Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setStrictassign

    public void setStrictassign(java.lang.String strictassign)

  Tells the NetRexx compile that assignments must match exactly on type

### setStrictcase

    public void setStrictcase(java.lang.String strictcase)

  Specifies whether the NetRexx compiler should be case sensitive or not

### setStrictimport

    public void setStrictimport(java.lang.String strictimport)

  Sets whether classes need to be imported explicitly using an `import` statement. By default the NetRexx compiler will import certain packages automatically Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setStrictprops

    public void setStrictprops(java.lang.String strictprops)

  Sets whether local properties need to be qualified explicitly using `this` Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setStrictsignal

    public void setStrictsignal(java.lang.String strictsignal)

  Whether the compiler should force catching of exceptions by explicitly named types

### setSymbols

    public void setSymbols(java.lang.String symbols)

  Sets whether debug symbols should be generated into the class file Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setTime

    public void setTime(java.lang.String time)

  Asks the NetRexx compiler to print compilation times to the console Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setTrace

    public void setTrace(java.lang.String trace)

  Turns on or off tracing and directs the resultant trace output Valid values are: "trace", "trace1", "trace2" and "notrace". "trace" and "trace2"

### setUtf8

    public void setUtf8(java.lang.String utf8)

  Tells the NetRexx compiler that the source is in UTF8 Valid true values are "on" or "true". Anything else sets the flag to false. The default value is false.

### setVerbose

    public void setVerbose(java.lang.String verbose)

  Whether lots of warnings and error messages should be generated

### execute

    public void execute()
                 throws BuildException

  Executes the task, i.e. does the actual compiler call
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.